<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".CompletionActivity">

    <RelativeLayout
        android:background="@color/background"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        tools:context=".CompletionActivity">

        <RelativeLayout
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            tools:context=".CompletionActivity">

            <TextView
                android:id="@+id/label_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="0dp"
                android:background="@color/title"
                android:text="Label issuance"
                android:padding="5dp"
                android:textStyle="bold"
                android:textSize="30dp"
                android:textAlignment="center"
                android:textAppearance="?android:attr/textAppearanceLarge" />

            <LinearLayout
                android:id="@+id/nav_bar"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_below="@+id/label_title"
                android:layout_marginTop="0dp"
                android:layout_marginBottom="0dp"
                android:orientation="horizontal"
                android:weightSum="1.0">

                <TextView
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".5"
                    android:padding="5dp"
                    android:text="Shift code : "
                    android:textAlignment="center"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#000"
                    android:textColorHint="#000"
                    android:textSize="16dp" />

                <TextView
                    android:layout_width="0dip"
                    android:layout_height="wrap_content"
                    android:layout_centerHorizontal="true"
                    android:layout_marginTop="0dp"
                    android:layout_weight=".5"
                    android:padding="5dp"
                    android:text="Work shop no :"
                    android:textAlignment="center"
                    android:textAppearance="?android:attr/textAppearanceLarge"
                    android:textColor="#000"
                    android:textColorHint="#000"
                    android:textSize="16dp" />
            </LinearLayout>

            <RelativeLayout
                android:id="@+id/content"
                android:layout_width="match_parent"
                android:layout_height="300dp"
                android:layout_below="@+id/nav_bar"
                android:paddingBottom="5dp"
                android:paddingLeft="5dp"
                android:paddingRight="5dp"
                android:paddingTop="5dp"
                tools:context=".MainActivity"
                android:weightSum="1.0">


                <LinearLayout
                    android:id="@+id/content1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="5dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="5dp"
                        android:text="Item Code"
                        android:textAlignment="textStart"
                        android:height="40dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="32dp"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:textColor="@color/txt_color"
                        android:inputType="text"
                        android:textSize="18dp"
                        android:padding="5dp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content2"
                    android:layout_below="@+id/content1"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="5dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="5dp"
                        android:text="FG Item code"
                        android:textAlignment="textStart"
                        android:height="40dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:textColor="@color/txt_color"
                        android:inputType="none"
                        android:padding="5dp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content3"
                    android:layout_below="@+id/content2"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="5dp"
                        android:text="Target Qty"
                        android:textAlignment="textStart"
                        android:height="40dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:background="@color/silver"
                        android:textColor="@color/txt_color"
                        android:inputType="number"
                        android:digits="0123456789"
                        android:padding="5dp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content4"
                    android:layout_below="@+id/content3"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text=""
                        android:textAlignment="textStart"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text="OK"
                        android:textAlignment="center"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text="NG"
                        android:textAlignment="center"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content5"
                    android:layout_below="@+id/content4"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="5dp"
                        android:text="Total Qty"
                        android:textAlignment="textStart"
                        android:height="40dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="5dp"
                        android:layout_weight=".245"
                        android:background="@color/green"
                        android:textColor="@color/txt_color"
                        android:inputType="number"
                        android:digits="0123456789"
                        android:padding="5dp" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="2dp"
                        android:layout_weight=".245"
                        android:background="@color/red"
                        android:textColor="@color/txt_color"
                        android:inputType="number"
                        android:digits="0123456789"
                        android:padding="5dp" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/content6"
                    android:layout_below="@+id/content5"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text=""
                        android:textAlignment="textStart"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text="OK"
                        android:textAlignment="center"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".25"
                        android:textColor="@color/txt_color"
                        android:padding="2dp"
                        android:text="NG"
                        android:textAlignment="center"
                        android:height="30dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />

                </LinearLayout>

                <LinearLayout
                    android:layout_below="@+id/content6"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="0dp"
                    android:layout_marginBottom="0dp"
                    android:orientation="horizontal"
                    android:weightSum="1.0">

                    <TextView
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_weight=".5"
                        android:textColor="@color/txt_color"
                        android:padding="5dp"
                        android:text="Box Qty"
                        android:textAlignment="textStart"
                        android:height="40dp"
                        android:textSize="20dp"
                        android:textAppearance="?android:attr/textAppearanceLarge" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="10dp"
                        android:layout_marginEnd="5dp"
                        android:layout_weight=".245"
                        android:background="@color/silver"
                        android:textColor="@color/txt_color"
                        android:inputType="number"
                        android:digits="0123456789"
                        android:enabled="false"
                        android:padding="5dp" />
                    <EditText
                        android:layout_width="0dip"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="0dp"
                        android:layout_marginStart="2dp"
                        android:layout_weight=".245"
                        android:background="@color/white"
                        android:textColor="@color/txt_color"
                        android:inputType="number"
                        android:digits="0123456789"
                        android:padding="5dp" />

                </LinearLayout>



            </RelativeLayout>


            <LinearLayout
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/layout_button"
                android:layout_height="wrap_content"
                android:layout_width="fill_parent"
                android:layout_below="@+id/content"
                android:orientation="horizontal"
                android:weightSum="1.0">
                <Button
                    android:id="@+id/btn_cancel"
                    android:layout_height="wrap_content"
                    android:layout_weight=".245"
                    android:layout_width="0dip"
                    android:layout_marginTop="0dp"
                    android:layout_marginStart="5dp"
                    android:padding="2dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Main Menu [P1]"
                    android:textColorHint="@color/txt_color"
                    android:textSize="14dp"
                    android:textStyle="normal" />
                <Button
                    android:layout_height="wrap_content"
                    android:layout_weight=".245"
                    android:layout_width="0dip"
                    android:layout_marginTop="0dp"
                    android:layout_marginStart="5dp"
                    android:padding="2dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Reprint [P3]"
                    android:textColorHint="@color/txt_color"
                    android:textSize="14dp"
                    android:textStyle="normal" />
                <Button
                    android:layout_height="wrap_content"
                    android:layout_weight=".245"
                    android:layout_width="0dip"
                    android:layout_marginTop="0dp"
                    android:layout_marginStart="5dp"
                    android:padding="2dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Delete [P4]"
                    android:textColorHint="@color/txt_color"
                    android:textSize="14dp"
                    android:textStyle="normal" />
                <Button
                    android:layout_height="wrap_content"
                    android:layout_weight=".245"
                    android:layout_width="0dip"
                    android:layout_marginTop="0dp"
                    android:layout_marginStart="5dp"
                    android:padding="2dp"
                    android:background="@color/btn_background"
                    android:backgroundTint="@color/btn_backgroundtint"
                    android:hint="Label    [P2]"
                    android:textColorHint="@color/txt_color"
                    android:textSize="14dp"
                    android:textStyle="normal" />
            </LinearLayout>

            <EditText
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_below="@id/layout_button"
                android:layout_marginTop="50dp"
                android:background="@color/white"
                android:textColor="@color/txt_color"
                android:inputType="none"
                android:visibility="visible"
                android:padding="5dp" />

        </RelativeLayout>
    </RelativeLayout>

</androidx.constraintlayout.widget.ConstraintLayout>